@media screen and (max-width: 1260px) {
  .header__button-menu.active ~ .header__menu {
    top: 100%;
    opacity: 1;
    z-index: 100;
  }

  .header__button-menu {
    display: block;
    -webkit-box-flex: 0;
    -webkit-flex: 0 1 auto;
    -moz-box-flex: 0;
    -ms-flex: 0 1 auto;
    flex: 0 1 auto;
    -webkit-box-ordinal-group: 4;
    -webkit-order: 3;
    -moz-box-ordinal-group: 4;
    -ms-flex-order: 3;
    order: 3;
    min-width: 0;
    width: auto;
    background: inherit;
    margin-left: 12px;
    padding: 0;
    border-radius: 12px;
    box-shadow: none;
  }

  .header__button-menu:hover {
    background: transparent !important;
    color: inherit;
    outline: none;
    box-shadow: none;
  }

  .header__button-menu svg {
    display: block;
    background: transparent;
    margin: 0px;
  }

  .header__button-menu svg rect {
    fill: #fff;
    background: transparent;
    -webkit-transform-origin: 50% 50%;
    -moz-transform-origin: 50% 50%;
    -o-transform-origin: 50% 50%;
    transform-origin: 50% 50%;
    -webkit-transition: all 0.5s;
    -o-transition: all 0.5s;
    -moz-transition: all 0.5s;
    transition: all 0.5s;
  }

  .header__button-menu.active svg rect:nth-child(1) {
    x: -2px;
    y: 6px;
    width: 20px;
    -webkit-transform: rotate(225deg);
    -moz-transform: rotate(225deg);
    -o-transform: rotate(225deg);
    transform: rotate(225deg);
  }

  .header__button-menu.active svg rect:nth-child(2) {
    -webkit-transform-origin: 50% 50%;
    -moz-transform-origin: 50% 50%;
    -o-transform-origin: 50% 50%;
    transform-origin: 50% 50%;
    -webkit-transform: scale(0, 2);
    -moz-transform: scale(0, 2);
    -o-transform: scale(0, 2);
    transform: scale(0, 2);
  }

  .header__button-menu.active svg rect:nth-child(3) {
    x: -2px;
    y: 6px;
    width: 20px;
    -webkit-transform: rotate(135deg);
    -moz-transform: rotate(135deg);
    -o-transform: rotate(135deg);
    transform: rotate(135deg);
  }

  .header__menu {
    position: absolute;
    display: block;
    top: -100vh;
    left: 0px;
    width: 100%;
    height: auto;
    overflow: auto;
    padding: 40px;
    background-color: #054146;
    text-align: center;
    opacity: 0;
    margin: 0;
    z-index: -1;
    -webkit-transition: all 0.75s;
    -o-transition: all 0.75s;
    -moz-transition: all 0.75s;
    transition: all 0.75s;
  }

  .header__menu > ul > li,
  .header__menu ul {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -webkit-flex-direction: column;
    -moz-box-orient: vertical;
    -moz-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-align: center;
    -webkit-align-items: center;
    -moz-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    background-color: transparent;
    gap: 0;
  }

  .header__menu span,
  .header__menu img {
    display: none;
  }

  .header__menu ul > li {
    padding: 0;
    margin-top: 20px;
    font-size: 15px;
  }

  .header__menu > ul > li:hover {
    background-color: transparent;
    border-radius: 0;
  }

  .header__dropmenu {
    position: relative;
    display: block;
    left: 0;
    padding: 0;
  }

  .header__dropmenu ul {
    padding: 0;
    background-color: transparent;
    border-radius: 0;
    box-shadow: none;
  }

  .header__dropmenu li a {
    padding: 0;
    margin-top: 20px;
  }

  .header__dropmenu li:hover,
  .header__dropmenu li:focus {
    background-color: transparent;
  }

  .header__menu li > a:hover,
  .header__menu li > a:focus {
    color: #de594c;
  }

  .header__logo {
    margin-right: auto;
  }

  .hero__background img {
    -o-object-position: 75%;
       object-position: 75%;
  }

  .footer__image img {
    margin-right: 40px;
  }

  .footer__copyright {
    padding: 20px 0 20px 106px;
  }

  .bonus__buttons {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -webkit-flex-direction: column;
       -moz-box-orient: vertical;
       -moz-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-align: center;
    -webkit-align-items: center;
       -moz-box-align: center;
        -ms-flex-align: center;
            align-items: center;
  }

  .app__buttons {
    margin-left: 60px;
  }
}

@media screen and (max-width: 1150px) {
  .home.hero__content,
  .hero__content {
    padding: 80px 20px;
  }

  .hero__wrap {
    max-width: 530px;
    padding: 10px;
    background-color: rgba(33, 89, 94, 0.9);
    border-radius: 10px;
  }

  .info__background img {
    -o-object-position: 90%;
       object-position: 90%;
  }

  .info__list {
    padding: 0;
    width: 70%;
    gap: 15px;
  }

  .info__list li {
    width: -webkit-calc((100% - 15px) / 2);
    width: -moz-calc((100% - 15px) / 2);
    width: calc((100% - 15px) / 2);
  }

  .casino__list {
    gap: 15px;
  }

  .casino__list li {
    width: -webkit-calc((100% - 15px * 4) / 4);
    width: -moz-calc((100% - 15px * 4) / 4);
    width: calc((100% - 15px * 4) / 4);
  }
}

@media screen and (max-width: 1050px) {
  .app__buttons {
    margin-left: 30px;
  }

  .app__background img {
    -webkit-filter: brightness(0.6);
            filter: brightness(0.6);
  }
}

@media screen and (max-width: 950px) {
  .casino__wrap {
    -webkit-flex-wrap: wrap;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -webkit-box-pack: center;
    -webkit-justify-content: center;
    -moz-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    gap: 15px;
  }

  .promo__content {
    padding: 40px 15px;
  }
}

@media screen and (max-width: 850px) {
  h1,
  .title.general {
    font-size: 30px;
    line-height: 36px;
  }

  h2,
  .title.high {
    font-size: 22px;
    line-height: 30px;
  }

  .title.promo__title {
    font-size: 30px;
    line-height: 36px;
  }

  .header__button {
    display: none;
  }

  .header__menu .header__button {
    display: block;
    margin: 20px auto 0 auto;
  }

  .main__container {
    padding: 0 15px;
  }

  .header__content {
    padding: 12px 15px;
  }

  .home.hero__content,
  .hero__content {
    padding: 60px 15px;
    margin-top: 72px;
  }

  .footer__menu ul {
    gap: 20px;
  }
}

@media screen and (max-width: 750px) {
  .footer__wrap {
    -webkit-box-orient: vertical;
    -webkit-box-direction: reverse;
    -webkit-flex-direction: column-reverse;
    -moz-box-orient: vertical;
    -moz-box-direction: reverse;
    -ms-flex-direction: column-reverse;
    flex-direction: column-reverse;
  }

  .footer__copyright {
    padding: 20px 0;
  }

  .footer__image img {
    margin: 0;
  }

  .app__content {
    padding: 20px;
  }

  .app__wrap {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -webkit-flex-direction: column;
       -moz-box-orient: vertical;
       -moz-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
  }

  .app__logo {
    margin: 0 auto 20px;
  }

  .app__buttons {
    margin: 0;
  }
}

@media screen and (max-width: 670px) {
  .casino__list li {
    width: -webkit-calc((100% - 15px) / 2);
    width: -moz-calc((100% - 15px) / 2);
    width: calc((100% - 15px) / 2);
  }

  .bonus__item {
    width: 100%;
  }
}

@media screen and (max-width: 600px) {
  .header__logo img {
    width: 80%;
  }

  .home.hero__content,
  .hero__content {
    margin-top: 62px;
  }

  .promo__wrap {
    padding: 15px;
    border-radius: 10px;
    background-color: rgba(33, 89, 94, 0.8);
  }

  .promo__background img {
    -o-object-position: 75%;
       object-position: 75%;
  }

  .info__background img {
    -o-object-position: left;
       object-position: left;
  }

  .info__list,
  .info__list li {
    width: 100%;
  }
}

@media screen and (max-width: 450px) {
  .footer__menu ul {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -webkit-flex-direction: column;
    -moz-box-orient: vertical;
    -moz-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
  }
}

@media screen and (max-width: 400px) {
  .casino__list li {
    width: 100%;
  }

  .app__button {
    min-width: 217px;
    padding: 14px 30px;
  }
}
